%define upstream_name    HTTP-Headers-Fast
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Faster implementation of HTTP::Headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Date)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
HTTP::Headers::Fast is a perl class for parsing/writing HTTP headers.

The interface is the same as HTTP::Headers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 512095
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 368281
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 258938
- update to 0.16

* Fri Jan 21 2011 jquelin <jquelin> 0.130.0-2.mga1
+ Revision: 28589
- mageia rebuild
- imported package perl-HTTP-Headers-Fast


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.130.0-2mdv2011.0
+ Revision: 625026
- Add a missing build requires.
- import perl-HTTP-Headers-Fast

